diff --git a/doc/src/sgml/catalogs.sgml b/doc/src/sgml/catalogs.sgml
index 29ee9605b6..6d06ad22b9 100644
--- a/doc/src/sgml/catalogs.sgml
+++ b/doc/src/sgml/catalogs.sgml
@@ -1363,7 +1363,7 @@
        The current compression method of the column.  If it is an invalid
        compression method (<literal>'\0'</literal>) then column data will not
        be compressed.  Otherwise, <literal>'p'</literal> = pglz compression or
-       <literal>'l'</literal> = lz4 compression.
+       <literal>'l'</literal> = <productname>LZ4</productname> compression.
       </para></entry>
      </row>
 
diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index 5efbfe97b5..5c18deddb6 100644
--- a/doc/src/sgml/config.sgml
+++ b/doc/src/sgml/config.sgml
@@ -8321,9 +8321,9 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         <command>CREATE TABLE</command> statement can override this default
         by specifying the <literal>COMPRESSION</literal> column option.
 
-        The supported compression methods are <literal>pglz</literal> and
-        (if configured at the time <productname>PostgreSQL</productname> was
-        built) <literal>lz4</literal>.
+        The supported compression methods are <literal>pglz</literal> and,
+        if <productname>PostgreSQL</productname> was compiled with
+        <literal>--with-lz4</literal>, <literal>lz4</literal>.
         The default is <literal>pglz</literal>.
        </para>
       </listitem>
diff --git a/doc/src/sgml/installation.sgml b/doc/src/sgml/installation.sgml
index 50d9fa2021..5af48275e4 100644
--- a/doc/src/sgml/installation.sgml
+++ b/doc/src/sgml/installation.sgml
@@ -266,6 +266,14 @@ su - postgres
      </para>
     </listitem>
 
+    <listitem>
+     <para>
+      You need <productname>LZ4</productname>, if you want to support
+      the compression of data with this method; see
+      <xref linkend="sql-createtable"/>.
+     </para>
+    </listitem>
+    
     <listitem>
      <para>
       To build the <productname>PostgreSQL</productname> documentation,
@@ -966,6 +974,17 @@ build-postgresql:
        </listitem>
       </varlistentry>
 
+      <varlistentry>
+       <term><option>--with-lz4</option></term>
+       <listitem>
+        <para>
+         Build with <productname>LZ4</productname> compression support.
+         This allows the use of <productname>LZ4</productname> for the
+         compression of table data.   
+        </para>
+       </listitem>
+      </varlistentry>
+      
       <varlistentry>
        <term><option>--with-ssl=<replaceable>LIBRARY</replaceable></option>
        <indexterm>
